Redmine - Feature #33884

Show "Due in X days" in email notifications
2020-08-22 07:18 - Go MAEDA

Status: New

Priority: Normal
Assignee:

Category: Email notifications

Target version:

Resolution:

Start date:
Due date:

% Done:

Estimated time:

0%

0.00 hour

Description

Issue details page shows "Due in X days" information next to the due date (#31499). | think it is useful and consistent if the

infromation is also shown in email notification.

Issue #1 has been updated by Redmine Admin.

e Priority changed from Low to Normal

Bug #1: Cannot print recipes

¢ Author: John Smith

e Status: New

e Priority: Normal

e Category: Printing
Start date: 2020-08-2
Due date: 2020-08-31§(Due in 9 days)
Searchable field: 125
Float field: 2.10
Custom date: 12/01/2009

[ ]

Unable to print recipes

Related issues:

Related to Redmine - Feature #31499: Show "Due in X days" in issue details page

Closed

History

#1 - 2020-08-22 07:18 - Go MAEDA

- Related to Feature #31499: Show "Due in X days" in issue details page added

#2 - 2020-09-03 08:30 - Yuichi HARADA
- File fixed-33884.patch added

| created a patch with reference to #31499.

diff --git a/app/helpers/issues_helper.rb b/app/helpers/issues_helper.rb

index a6515d283..caf23bfdd 100644

-—— a/app/helpers/issues_helper.rb

+++ b/app/helpers/issues_helper.rb

@@ -384,6 +384,9 Q@ module IssuesHelper
attr_value = (issue.send attribute) .to_s
next if attr_value.blank?

+ if attribute == 'due_date'

I

+ end
if html

items << content_tag('strong', "#{1l("field #{attribute}")}:

2025-07-16

+ attr_value

attr_value << " (#{due_date_distance_in_words (issue.send (attribute))})" unless issue.closed?
https://www.redmine.org/issues/31499
https://www.redmine.org/issues/31499

else

#3 - 2020-09-03 08:40 - Robert Korulczyk

This may be confusing in some cases. If | read this email 2 days later, "due in 9 days" is misleading, since it should be "due in 7 days" now, but email
will contain initial and outdated label. Using relative dates in emails (which are static) is a different story than relative dates on website (which will
update on every page refresh).

#4 - 2020-09-03 08:44 - Marius BALTEANU
Robert Korulczyk wrote:
This may be confusing in some cases. If | read this email 2 days later, "due in 9 days" is misleading, since it should be "due in 7 days" now, but

email will contain initial and outdated label. Using relative dates in emails (which are static) is a different story than relative dates on website
(which will update on every page refresh).

| agree.
